PAL A Platform Abstraction Layer connects the mbed-client with the underlying platform.

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
pal_socket_test.c File Reference
`#include "pal.h"`
`#include "pal_network.h"`
`#include "pal_plat_network.h"`
`#include "unity.h"`
`#include "unity_fixture.h"`
`#include "pal_test_utils.h"`
`#include "pal_socket_test_utils.h"`
`#include "string.h"`

## Macros
#define | PAL_NET_SUPPORT_LWIP 1
#define | PAL_NET_TEST_SERVER_NAME "e109180-lin.kfn.arm.com"
#define | PAL_NET_TEST_SERVER_IP {10,45,48,190}
#define | PAL_NET_TEST_SERVER_IP_STRING "10.45.48.190"
#define | PAL_NET_TEST_SERVER_HTTP_PORT 8686
#define | PAL_NET_TEST_SERVER_UDP_PORT 8383
#define | PAL_NET_TEST_INCOMING_PORT 8000
#define | PAL_TEST_BUFFER_SIZE 50

## Functions
| TEST_GROUP (pal_socket)
void | socketCallback ()
| TEST_SETUP (pal_socket)
| TEST_TEAR_DOWN (pal_socket)
| TEST (pal_socket, socketUDPCreationOptionsTest)
| TEST (pal_socket, basicTCPclinetSendRecieve)
| TEST (pal_socket, basicUDPclinetSendRecieve)
| TEST (pal_socket, basicSocketScenario3)
| TEST (pal_socket, basicSocketScenario4)
| TEST (pal_socket, basicSocketScenario5)
| TEST (pal_socket, tProvUDPTest)

## Variables
void * | g_networkInterface = NULL

## Macro Definition Documentation

#define PAL_NET_SUPPORT_LWIP 1

#define PAL_NET_TEST_INCOMING_PORT 8000

#define PAL_NET_TEST_SERVER_HTTP_PORT 8686

#define PAL_NET_TEST_SERVER_IP {10,45,48,190}

#define PAL_NET_TEST_SERVER_IP_STRING "10.45.48.190"

#define PAL_NET_TEST_SERVER_NAME "e109180-lin.kfn.arm.com"

#define PAL_NET_TEST_SERVER_UDP_PORT 8383

#define PAL_TEST_BUFFER_SIZE 50

## Function Documentation

void socketCallback | ( |  | ) |

TEST | ( | pal_socket | ,
|  | socketUDPCreationOptionsTest |
| ) |  |

TEST | ( | pal_socket | ,
|  | basicTCPclinetSendRecieve |
| ) |  |

TEST | ( | pal_socket | ,
|  | basicUDPclinetSendRecieve |
| ) |  |

TEST | ( | pal_socket | ,
|  | basicSocketScenario3 |
| ) |  |

TEST | ( | pal_socket | ,
|  | basicSocketScenario4 |
| ) |  |

TEST | ( | pal_socket | ,
|  | basicSocketScenario5 |
| ) |  |

TEST | ( | pal_socket | ,
|  | tProvUDPTest |
| ) |  |

TEST_GROUP | ( | pal_socket |  | ) |

TEST_SETUP | ( | pal_socket |  | ) |

TEST_TEAR_DOWN | ( | pal_socket |  | ) |

## Variable Documentation

void* g_networkInterface = NULL